Get the results of the schedule summary report as an xlsx file

Body·
application/json
  • partnerId
    Type: string | nullFormat: uuid

    The partner to filter by

  • partnerRelationship
    Type: integerenum

    Integer numbers.

    values
    • Client = 1
    • Carrier = 2
  • scheduleDateFrom
    Type: stringFormat: date

    The start date in the schedule date range

  • scheduleDateTo
    Type: stringFormat: date

    The end date in the schedule date range

  • scheduleStatus
    Type: integerenum

    Integer numbers.

    values
    • Draft = 1
    • Approved = 2
Responses
  • 200

    OK

Request Example for post/v1/reports/schedule-summary/xlsx
curl https://api.consignlyhq.com/v1/reports/schedule-summary/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "scheduleDateFrom": "date (YYYY-MM-DD)",
  "scheduleDateTo": "date (YYYY-MM-DD)",
  "scheduleStatus": "enum (Draft = 1, Approved = 2)",
  "partnerRelationship": "enum (Client = 1, Carrier = 2)",
  "partnerId": null
}'
No Body